# Choice | Antville 1.4 API Reference

Documentation generator: JsDoc Toolkit 2.4.0
Template: Codeview 1.2
Generated on: 2012-4-22 10:17

# Class Choice

- Defined in: Choice.js
- Extends HopObject

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Choice(title)

Field Summary
Field Attributes | Field Name and Description
--- | ---
<private> | _children
| created
| modified
| poll
| title

## Method Summary

Method Attributes | Method Name and Description
--- | ---
<static> | Choice.add(title, poll)
<static> | Choice.remove()
| selected_macro()
| votes_macro(param, variant)

Methods borrowed from class HopObject:
  addTag
  checkbox_macro
  created_macro
  creator_macro
  deleteMetadata
  getFormOptions
  getFormValue
  getMetadata
  getPermission
  getTags
  getTitle
  handleMetadata
  input_macro
  kind_macro
  link_filter
  link_macro
  log
  macro_macro
  map
  metadata_macro
  modified_macro
  modifier_macro
  notify
  onCodeUpdate
  onRequest
  radiobutton_macro
  removeTag
  select_macro
  self_macro
  setMetadata
  setTags
  skin_macro
  textarea_macro
  toString
  touch
  type_macro
  upload_macro

## Class Detail

Choice(title)

Parameters:
{String} title

## Field Detail

<private> {Vote[]} _children
{Date} created
{Date} modified
{Poll} poll
{String} title

## Method Detail

- <static> Choice.add(title, poll)
  Parameters:
  title
  poll
- <static> Choice.remove()
- selected_macro()
- votes_macro(param, variant)
  Parameters:
  {Object} param
  {String} variant